ListStateMachine (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.editable
Class ListStateMachine

    java.lang.Object
      com.bbn.openmap.util.stateMachine.StateMachine
          com.bbn.openmap.omGraphics.editable.EOMGStateMachine
              com.bbn.openmap.omGraphics.editable.ListStateMachine

    public class ListStateMachine

extends EOMGStateMachine

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`DEFAULT_NUMBER_STATES, graphic, GRAPHIC_EDIT, GRAPHIC_SELECTED, GRAPHIC_SETOFFSET, GRAPHIC_UNDEFINED, GRAPHIC_UNSELECTED, NUMBER_STATES, offsetNeeded`

Fields inherited from class com.bbn.openmap.util.stateMachine.StateMachine
`currentState, resetState, states`

Constructor Summary
`ListStateMachine(EditableOMGraphicList list)`

Method Summary
`protected State[]` | `init()`
`boolean` | `isOffsetNeeded()` Check to see if the graphic offset point needs to be defined.
`void` | `setState(int state)` Set the current state to the state residing in the vector at the given index.

Methods inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`setEdit, setOffset, setOffsetNeeded, setSelected, setUndefined, setUnselected`

Methods inherited from class com.bbn.openmap.util.stateMachine.StateMachine
`addStates, getResetState, getState, getState, getStates, reset, setMapMouseListenerResponses, setResetState, setResetState, setState, setStateAt, setStates, setStates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListStateMachine

    public ListStateMachine(EditableOMGraphicList list)

Method Detail

### init

    protected State[] init()

  Overrides:
    `init` in class `EOMGStateMachine`

### isOffsetNeeded

    public boolean isOffsetNeeded()

  Check to see if the graphic offset point needs to be defined.

  Overrides:
    `isOffsetNeeded` in class `EOMGStateMachine`

### setState

    public void setState(int state)

  Description copied from class: `StateMachine`
  Set the current state to the state residing in the vector at the given index. If the index is larger than the number of states in the machine, the statemachine is reset.

  Overrides:
    `setState` in class `StateMachine`
  Parameters:
    `state` - the index of the current state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details